| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Macros | Functions
approximations.c File Reference
`#include "math.h"`
`#include "basic_types.h"`
`#include "approximations.h"`
Include dependency graph for approximations.c:

Go to the source code of this file.

## Macros
#define | TAN15DEG 0.26794919243F
#define | TAN30DEG 0.57735026919F
#define | PADE_A 96.644395816F
#define | PADE_B 25.086941612F
#define | PADE_C 1.6867633134F

## Functions
float | fasin_deg (float x)
float | facos_deg (float x)
float | fatan_deg (float x)
float | fatan2_deg (float y, float x)
float | fatan_15deg (float x)

## Macro Definition Documentation

#define PADE_A 96.644395816F

Referenced by fatan_15deg().

#define PADE_B 25.086941612F

Referenced by fatan_15deg().

#define PADE_C 1.6867633134F

Referenced by fatan_15deg().

#define TAN15DEG 0.26794919243F

Referenced by fatan_deg().

#define TAN30DEG 0.57735026919F

Referenced by fatan_deg().

## Function Documentation

float facos_deg | ( | float | x | ) |

Definition at line 51 of file approximations.c.

References fatan_deg().

Referenced by fAndroidAnglesDegFromRotationMatrix(), fNEDAnglesDegFromRotationMatrix(), and fWin8AnglesDegFromRotationMatrix().

Here is the call graph for this function:

Here is the caller graph for this function:

float fasin_deg | ( | float | x | ) |

Definition at line 37 of file approximations.c.

References fatan_deg().

Referenced by fAndroidAnglesDegFromRotationMatrix(), feCompassAndroid(), feCompassNED(), feCompassWin8(), fNEDAnglesDegFromRotationMatrix(), fRun_9DOF_GBY_KALMAN(), and fWin8AnglesDegFromRotationMatrix().

Here is the call graph for this function:

Here is the caller graph for this function:

float fatan2_deg | ( | float | y,
|  | float | x
| ) |  |

Definition at line 117 of file approximations.c.

References fatan_deg().

Referenced by fAndroidAnglesDegFromRotationMatrix(), fNEDAnglesDegFromRotationMatrix(), and fWin8AnglesDegFromRotationMatrix().

Here is the call graph for this function:

Here is the caller graph for this function:

float fatan_15deg | ( | float | x | ) |

Definition at line 143 of file approximations.c.

References PADE_A, PADE_B, and PADE_C.

Referenced by fatan_deg().

Here is the caller graph for this function:

float fatan_deg | ( | float | x | ) |

Definition at line 66 of file approximations.c.

References fatan_15deg(), TAN15DEG, and TAN30DEG.

Referenced by facos_deg(), fasin_deg(), fatan2_deg(), and fWin8AnglesDegFromRotationMatrix().

Here is the call graph for this function:

Here is the caller graph for this function:
- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.